Question SMO Superstar Mode R4

Discussion in 'Switch - ROM Hacking, Saves, Translations & Tools' started by Y0sh1, Apr 28, 2019.

  1. Y0sh1
    OP

    Y0sh1 GBAtemp Regular

    Member
    5
    Dec 31, 2017
    Ireland
    I finally got around downloading and copying the latest version of the Super Mario Odyssey Superstar Mode which seems to be version R4, but unfortunately the game crashes on opening for me :'(

    Other simpler mods and custom maps load fine but this one crashes. Here is what I'm trying it with:
    Switch 8.0.1
    Atmosphère 0.8.9
    Super Mario Odyssey 1.3.0

    Does anyone have any suggestion on what to try to make this work?

    thanks in advance
     
  2. rodan100919

    rodan100919 Member

    Newcomer
    4
    Aug 2, 2013
    United States
    There's your issue. The labo updates seem to have broken mods for both SMO and BotW. Only thing to do now is wait for the mods to get updated.
     
    DarknessPlay3r and Y0sh1 like this.
  3. Y0sh1
    OP

    Y0sh1 GBAtemp Regular

    Member
    5
    Dec 31, 2017
    Ireland
    thanks for replying. Since there is nothing in the labo update for me, I'll delete the game and not update it
     
  4. Y0sh1
    OP

    Y0sh1 GBAtemp Regular

    Member
    5
    Dec 31, 2017
    Ireland
    dammit I went back to 1.2.0 and now the game won't launch. Keeps asking to download an update

    even restoring my save game from before the 1.3.0 update, it still knows there is a newer version

    Any suggestion on how to make 1.2.0 playable again?
     
  5. hippy dave

    hippy dave BBMB

    Member
    15
    Apr 30, 2012
    United Kingdom
    Run devmenu, do "reset required version" on SMO.
     
    ELY_M, Y0sh1 and rodan100919 like this.
  6. Y0sh1
    OP

    Y0sh1 GBAtemp Regular

    Member
    5
    Dec 31, 2017
    Ireland
    That worked!

    I can see now some spiny enemies in Cap Kingdom. Now I suppose I'll need to start a new SMO game to collect again the now more challenging moons

    In case anyone wonders this in the future, installing the DevMenu-6.x nsp on a 8.0.1 console, ignoring the warning when opening it and then using the reset requiredversion feature works.

    Edit: the download page now has this message
     
    Last edited by Y0sh1, May 10, 2019
    hippy dave likes this.
  7. username23bob

    username23bob GBAtemp Regular

    Member
    3
    Mar 15, 2009
    United States
    does this mod only work with atmosphere?
     
    ELY_M likes this.
  8. Y0sh1
    OP

    Y0sh1 GBAtemp Regular

    Member
    5
    Dec 31, 2017
    Ireland
    The page where I got it had mentioned SXOS...
    but why would anyone not use atmos?
     
  9. username23bob

    username23bob GBAtemp Regular

    Member
    3
    Mar 15, 2009
    United States
    atmos doesn’t have emunand yet.
     
  10. bonoboy

    bonoboy GBAtemp Regular

    Member
    5
    Apr 2, 2008
    United States
    You can go just straight deleting update with goldleaf instead
     
  11. ELY_M

    ELY_M Developer

    pip Developer
    5
    Dec 6, 2007
    United States
    all of my SMO mods are tested on 1.3 version of SMO.
     
  12. ELY_M

    ELY_M Developer

    pip Developer
    5
    Dec 6, 2007
    United States
    all of my SMO mods are tested on 1.3 version of SMO.
     
  13. Y0sh1
    OP

    Y0sh1 GBAtemp Regular

    Member
    5
    Dec 31, 2017
    Ireland
    I'm actually surprised that not more people are talking about this mod.

    It is quite good IMO. Way more difficult than the original game but still doable
     
Quick Reply
Draft saved Draft deleted
Loading...